classification
Title: Output versions of scripts to stdout
Type: behavior Stage: committed/rejected
Components: Demos and Tools, Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, nicola.palumbo, python-dev, serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2013-09-04 14:49 by serhiy.storchaka, last changed 2013-09-06 13:56 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue18922.patch nicola.palumbo, 2013-09-05 14:08 review
Messages (5)
msg196922 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-04 14:49
The Lib/smtpd.py and Tools/i18n/msgfmt.py scripts write their version strings to stderr. It should be changed to stdout for consistency with most common practice. See also issue18338 and issue18920.
msg196942 - (view) Author: Nicola Palumbo (nicola.palumbo) * Date: 2013-09-04 18:58
Now The Lib/smtpd.py and Tools/i18n/msgfmt.py scripts write their version strings to stdout, and not to sderr.

Applying the patch the stdout can be redirect
/python.exe Lib/smtpd.py --version >> /dev/null

Without the patch:
/python.exe Lib/smtpd.py --version >> /dev/null
Python SMTP proxy version 0.3
msg197003 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-05 14:45
New changeset e81699a6390c by Serhiy Storchaka in branch 'default':
Issue #18922: Now The Lib/smtpd.py and Tools/i18n/msgfmt.py scripts write
http://hg.python.org/cpython/rev/e81699a6390c
msg197004 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-05 14:47
Thank you Nicola and Berker.
msg197070 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-06 13:56
New changeset 587bdb940524 by Eli Bendersky in branch 'default':
Update whatsnew/3.4 wrt. --version going to stdout. #18338, #18920, #18922
http://hg.python.org/cpython/rev/587bdb940524
History
Date User Action Args
2013-09-06 13:56:37python-devsetmessages: + msg197070
2013-09-05 14:47:29serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg197004

stage: patch review -> committed/rejected
2013-09-05 14:45:23python-devsetnosy: + python-dev
messages: + msg197003
2013-09-05 14:08:26nicola.palumbosetfiles: + issue18922.patch
2013-09-05 14:06:25nicola.palumbosetfiles: - issue18922.patch
2013-09-04 21:12:21serhiy.storchakasetstage: needs patch -> patch review
2013-09-04 18:58:01nicola.palumbosetfiles: + issue18922.patch

nosy: + nicola.palumbo
messages: + msg196942

keywords: + patch
2013-09-04 17:50:00berker.peksagsetnosy: + berker.peksag
2013-09-04 14:49:28serhiy.storchakacreate